Bug 1185170 - Create version in a project is always created as read only
Create version in a project is always created as read only
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
development
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.6
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-23 01:32 EST by Patrick Huang
Modified: 2015-03-19 03:10 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.6.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-2551)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-19 03:10:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Huang 2015-01-23 01:32:00 EST
Description of problem:
When creating a new project in zanata and then create the very first version of that project, the version is created as read only.

Version-Release number of selected component (if applicable):
3.7.0-SNAPSHOT

How reproducible:
Always

Steps to Reproduce:
1. Create a new project
2. Create a new version


Actual results:
The newly created version is read only

Expected results:
The version should be writeable

Additional info:
Comment 1 Ding-Yi Chen 2015-01-27 23:19:54 EST
This can be reproduced in release branch

Zanata 3.6.0-SNAPSHOT (git-jenkins-zanata-server-verify-integration-master-3978-SUCCESS-1-g9e86c7d)
Comment 2 Alex Eng 2015-01-28 20:35:32 EST
Pull request:
https://github.com/zanata/zanata-server/pull/677
Comment 3 Ding-Yi Chen 2015-01-29 01:43:56 EST
VERIFIED with Zanata 3.6.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-2551)

Note You need to log in before you can comment on or make changes to this bug.